Mailinglist Archive: opensuse-updates (121 mails)

< Previous Next >
openSUSE-SU-2017:0487-1: moderate: Security update for openssl
openSUSE Security Update: Security update for openssl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2017:0487-1
Rating: moderate
References: #1000677 #1001912 #1004499 #1005878 #1019334
#1021641 #1022085 #1022271
Cross-References: CVE-2016-2108 CVE-2016-7056 CVE-2016-8610
CVE-2017-3731
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that solves four vulnerabilities and has four
fixes is now available.

Description:


This update for openssl fixes the following issues contained in the
OpenSSL Security Advisory [26 Jan 2017] (bsc#1021641)

Security issues fixed:
- CVE-2016-7056: A local ECSDA P-256 timing attack that might have allowed
key recovery was fixed (bsc#1019334)
- CVE-2016-8610: A remote denial of service in SSL alert handling was
fixed (bsc#1005878)
- CVE-2016-2108: Added a missing commit for CVE-2016-2108, fixing the
negative zero handling in the ASN.1 decoder (bsc#1004499)
- CVE-2017-3731: Truncated packet could crash via OOB read (bsc#1022085,
CVE-2017-3731)
- Degrade the 3DES cipher to MEDIUM in SSLv2 (bsc#1001912)

Bugs fixed:
- fix crash in openssl speed (bsc#1000677)
- fix ca-bundle path (bsc#1022271)

This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2017-255=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 x86_64):

libopenssl-devel-1.0.1i-21.1
libopenssl1_0_0-1.0.1i-21.1
libopenssl1_0_0-debuginfo-1.0.1i-21.1
libopenssl1_0_0-hmac-1.0.1i-21.1
openssl-1.0.1i-21.1
openssl-debuginfo-1.0.1i-21.1
openssl-debugsource-1.0.1i-21.1

- openSUSE Leap 42.1 (noarch):

openssl-doc-1.0.1i-21.1

- openSUSE Leap 42.1 (x86_64):

libopenssl-devel-32bit-1.0.1i-21.1
libopenssl1_0_0-32bit-1.0.1i-21.1
libopenssl1_0_0-debuginfo-32bit-1.0.1i-21.1
libopenssl1_0_0-hmac-32bit-1.0.1i-21.1


References:

https://www.suse.com/security/cve/CVE-2016-2108.html
https://www.suse.com/security/cve/CVE-2016-7056.html
https://www.suse.com/security/cve/CVE-2016-8610.html
https://www.suse.com/security/cve/CVE-2017-3731.html
https://bugzilla.suse.com/1000677
https://bugzilla.suse.com/1001912
https://bugzilla.suse.com/1004499
https://bugzilla.suse.com/1005878
https://bugzilla.suse.com/1019334
https://bugzilla.suse.com/1021641
https://bugzilla.suse.com/1022085
https://bugzilla.suse.com/1022271


< Previous Next >
This Thread
  • No further messages